<template>
  <div class="InvestmentProgressNew">

    <div class="topBtnRow">
      <div class="topBtn" :style="{ backgroundImage: 'url(' + (active == 1 ? coverImgUrl : uncoverImgUrl) + ')' }"
        @click="clickBtn(1)">
        年度形象进度曲线</div>
      <div class="topBtn" :style="{ backgroundImage: 'url(' + (active == 2 ? coverImgUrl : uncoverImgUrl) + ')' }"
        @click="clickBtn(2)">
        年度资金支付曲线</div>
      <div class="topBtn" :style="{ backgroundImage: 'url(' + (active == 3 ? coverImgUrl : uncoverImgUrl) + ')' }"
        @click="clickBtn(3)">
        华侨城一期项目</div>
    </div>

    <div class="content">
      <div class="content1" v-show="active == 1">
        <div class="month">1-2月</div>
        <div class="partRow">
          <div class="part" v-for="(item, index) in formData1" :key="index">
            <img :src="item.img" alt="" width="68.5" height="60">
            <div class="text">
              <div class="text2">{{ item.typeName }}</div>
              <div class="text1">
                <span>{{ item.number }}</span>
                <span class="unit">{{ item.unit }}</span>
              </div>
            </div>
          </div>
        </div>
        <div class="chartPart">
          <chart :optionIn="option1" />
        </div>
      </div>

      <div class="content1" v-show="active == 2">
        <div class="month">1-2月</div>
        <div class="partRow">
          <div class="part" v-for="(item, index) in formData2" :key="index">
            <img :src="item.img" alt="" width="68.5" height="60">
            <div class="text">
              <div class="text2">{{ item.typeName }}</div>
              <div class="text1">
                <span>{{ item.number }}</span>
                <span class="unit">{{ item.unit }}</span>
              </div>
            </div>
          </div>
        </div>
        <div class="chartPart">
          <chart :optionIn="option2" />
        </div>
      </div>

      <div class="content1" v-show="active == 3">
        <div class="littleTitle">
          <span>关键节点进度</span>
        </div>

        <div class="slider" style="width:80%;height:150px;margin:0 auto">
          <div class="underSlider">
            <div class="upSlider"></div>
            <div class="nowPlaceIcon" @mousedown="draggableFun"></div>
            <div class="contentMsg">
              <span v-for="(item, index) in nodeArr" :key="index" :style="getOnePosit(item, index)">
                <font></font>
                <p>{{ item.time }}</p>
                <p>{{ item.content }}</p>
              </span>
            </div>
          </div>
        </div>

        <div class="littleTitle">
          <span>节点完成情况</span>
        </div>

        <div style="margin: 15px 40px;display: flex;justify-content: space-between;">
          <p style="display:inline-block">

          <div class="topBtnRow1">
            <div class="topBtn1"
              :style="{ backgroundImage: 'url(' + (nodeType == 1 ? coverImgUrl : uncoverImgUrl) + ')' }"
              @click="changeNode(1)">
              关键节点</div>
            <div class="topBtn1"
              :style="{ backgroundImage: 'url(' + (nodeType == 2 ? coverImgUrl : uncoverImgUrl) + ')' }"
              @click="changeNode(2)">
              二级节点</div>
          </div>
          </p>
          <p class="rightCountBar" style="display:inline-block">
            <span v-for="(item, index) in nodeCOuntArr" :key="index">{{ item.name }}<font>{{ item.count }}</font></span>
          </p>
        </div>
        <div class="InPr-table">
          <div class="InPr-table-header">
            <span class="part1">项目名称</span>
            <span class="part1">最近履约评价</span>
            <span class="part1">责任人</span>
            <span class="part4">关键节点完成情况</span>
          </div>
          <div class="InPr-table-content">
            <p v-for="(item, index) in nodeDateArr" :key="index" style="display:flex;">
              <span class="part1">{{ item.name }}</span>
              <span class="part1" style="color:#00E5ED;font-size: 24px;font-family: Arial;font-weight: 400;">{{
                item.number || '-' }}</span>
              <span class="part1">{{ item.people }}</span>
              <span class="part4">
                <div class="complate" :style="getWidthLength(item, item.complite)"></div>
                <div class="uncomplate" :style="getWidthLength(item, item.uncomplite)"></div>
                <div class="unStart" :style="getWidthLength(item, item.unStart)"></div>
              </span>
            </p>
          </div>
          <div class="InPr-table-bottom">
            <p><span style="background-image: linear-gradient(to right,#ffffff00, #0CBFE0);"></span>完成</p>
            <p><span style="background-image: linear-gradient(to right,#ffffff00, #00FFA2);"></span>逾期</p>
            <p><span style="background-image: linear-gradient(to right,#ffffff00, #DBDBDB)"></span>未开始</p>
          </div>
        </div>
      </div>
    </div>

  </div>
</template>
<script>
import chart from "./chart.vue"
export default {
  components: {
    chart
  },
  data() {
    return {
      coverImgUrl: require('@/assets/img/topBtnBackActive.png'),
      uncoverImgUrl: require('@/assets/img/topBtnBack.png'),
      active: 1,
      nodeType: 1,
      nowPace: 3,
      formData1: [
        {
          img: require('@/assets/img/钱.png'),
          number: 8.4,
          typeName: '财政指标',
          unit: '亿元'
        },
        {
          img: require('@/assets/img/销量.png'),
          number: '19.9%',
          typeName: '财政指标执行进度',
          unit: ''
        },
        {
          img: require('@/assets/img/进度.png'),
          number: 2,
          typeName: '超时序进度',
          unit: '个百分点'
        }
      ],
      formData2: [
        {
          img: require('@/assets/img/钱.png'),
          number: 8.4,
          typeName: '财政指标',
          unit: '亿元'
        },
        {
          img: require('@/assets/img/销量.png'),
          number: '19.9%',
          typeName: '财政指标执行进度',
          unit: ''
        },
        {
          img: require('@/assets/img/进度.png'),
          number: 2,
          typeName: '超时序进度',
          unit: '个百分点'
        }
      ],
      option1: {
        legend: {
          top: '46px',
          textStyle: {
            color: "#fff",
            fontSize: 9
          }
        },

        tooltip: {},
        grid: {
          top: '80px',
          left: '60px',
          right: '60px',
          bottom: '60px',
        },
        xAxis: {
          type: "category",
          boundaryGap: true,
          axisLine: {
            show: true,
            lineStyle: {
              // 设置y轴颜色
              color: "#657ca8",
            },
          },
          axisTick: {
            show: false,
          },
          axisLabel: {
            textStyle: {
              color: '#7ECEF4'
            }
          },

          data: ['1', '2', '3', '4', '5', '6', '7', '8', '9', '10', '11', '12']
        },
        yAxis: [{
          // type: "value",
          boundaryGap: false,
          max: 100,
          position: 'left',
          name: "单位：亿元",
          nameTextStyle: {//y轴上方单位的颜色
            color: '#7ECEF4'
          },
          axisLine: {
            show: true,
            lineStyle: {
              color: "#657ca8",
            },
          },
          splitLine: {
            show: false,
            lineStyle: {
              color: "rgba(208, 212, 218, 0.4)",
            },
          },
          axisTick: {
            show: false,
          },
          axisLabel: {
            textStyle: {
              color: '#7ECEF4'
            }
          },
        },
        {
          position: 'right',
          boundaryGap: false,
          nameTextStyle: {//y轴上方单位的颜色
            color: '#7ECEF4'
          },
          name: "单位：%",
          mix: 0,
          max: 100,
          axisLine: {
            show: true,
            lineStyle: {
              color: "#657ca8",
            },
          },
          axisLabel: {
            formatter: '{value} %'
          },
          axisTick: {
            show: false,
          },
          splitLine: {
            show: false
          },
          axisLabel: {
            textStyle: {
              color: '#7ECEF4'
            }
          },
        }
        ],

        series: [
          {
            type: "bar",
            name: '计划完成投资',
            barWidth: 18,
            data: [10, 5, 15, 20, 26, 20, 21, 19, 16, 18, 6, 5],
            itemStyle: {
              normal: {
                color: (params) => {
                  return new this.$echarts.graphic.LinearGradient(0, 0, 0, 1, [
                    { offset: 0, color: "#24bfff" },
                    { offset: 1, color: "#061e29" },
                  ])
                }
              },
            },
          },
          {
            type: "bar",
            name: '实际完成投资',
            data: [12, 8,],
            barWidth: 18,
            itemStyle: {
              normal: {
                color: new this.$echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  { offset: 0, color: "#51F8A4" },
                  { offset: 1, color: "#00E58820" },
                ]),
              },
            },
          },
          {
            type: "line",
            yAxisIndex: 1,
            symbol: 'none',
            smooth: true,
            name: '计划投资完成率',
            data: [8, 16, 24, 32, 40, 48, 56, 64, 72, 80, 88, 100],

            itemStyle: {
              normal: {
                color: new this.$echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  { offset: 0, color: "#40D0FD" },
                  { offset: 1, color: "#00FFF6" },
                ]),
              },
            },
          },
          {
            type: "line",
            yAxisIndex: 1,
            symbol: 'none',
            smooth: true,
            name: '实际投资完成率',
            data: [8, 16],

            itemStyle: {
              normal: {
                color: '#01E287'
              }
            }
          },
          {
            type: "line",
            yAxisIndex: 1,
            symbol: 'none',
            smooth: true,
            name: '时序进度',
            data: [5, 10, 20, 25, 30, 34, 40, 50, 60, 70, 80, 90],

            itemStyle: {
              normal: {
                color: new this.$echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  { offset: 0, color: "#FFA800" },
                  { offset: 1, color: "#FFF7A0" },
                ]),
              },
            },
          },

        ],
      },
      option2: {
        legend: {
          top: '46px',
          textStyle: {
            color: "#fff",
            fontSize: 9
          }
        },

        tooltip: {},
        grid: {
          top: '80px',
          left: '60px',
          right: '60px',
          bottom: '60px',
        },
        xAxis: {
          type: "category",
          boundaryGap: true,
          axisLine: {
            show: true,
            lineStyle: {
              // 设置y轴颜色
              color: "#657ca8",
            },
          },
          axisTick: {
            show: false,
          },
          axisLabel: {
            textStyle: {
              color: '#7ECEF4'
            }
          },

          data: ['1', '2', '3', '4', '5', '6', '7', '8', '9', '10', '11', '12']
        },
        yAxis: [{
          // type: "value",
          boundaryGap: false,
          max: 100,
          position: 'left',
          name: "单位：亿元",
          nameTextStyle: {//y轴上方单位的颜色
            color: '#7ECEF4'
          },
          axisLine: {
            show: true,
            lineStyle: {
              color: "#657ca8",
            },
          },
          splitLine: {
            show: false,
            lineStyle: {
              color: "rgba(208, 212, 218, 0.4)",
            },
          },
          axisTick: {
            show: false,
          },
          axisLabel: {
            textStyle: {
              color: '#7ECEF4'
            }
          },
        },
        {
          position: 'right',
          boundaryGap: false,
          nameTextStyle: {//y轴上方单位的颜色
            color: '#7ECEF4'
          },
          name: "单位：%",
          mix: 0,
          max: 100,
          axisLine: {
            show: true,
            lineStyle: {
              color: "#657ca8",
            },
          },
          axisLabel: {
            formatter: '{value} %'
          },
          axisTick: {
            show: false,
          },
          splitLine: {
            show: false
          },
          axisLabel: {
            textStyle: {
              color: '#7ECEF4'
            }
          },
        }
        ],

        series: [
          {
            type: "bar",
            name: '财政指标',
            barWidth: 10,
            data: [10, 5,],
            itemStyle: {
              normal: {
                color: new this.$echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  { offset: 0, color: "#24bfff" },
                  { offset: 1, color: "#061e29" },
                ]),
              },
            },
          },
          {
            type: "bar",
            name: '实际支付',
            data: [15, 8,],
            barWidth: 10,
            itemStyle: {
              normal: {
                color: new this.$echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  { offset: 0, color: "#51F8A4" },
                  { offset: 1, color: "#00E58820" },
                ]),
              },
            },
          },
          {
            type: "bar",
            barWidth: 10,
            name: '资金需求',
            data: [10, 15, 30, 31, 35, 40, 30, 30, 31, 32, 23, 12],
            itemStyle: {
              normal: {
                color: new this.$echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  { offset: 0, color: "#F8AB51" },
                  { offset: 1, color: "#8F5107" },
                ]),
              },
            },
          },
          {
            type: "line",
            yAxisIndex: 1,
            symbol: 'none',
            smooth: true,
            name: '时序进度',
            data: [5, 10, 20, 25, 30, 34, 40, 50, 60, 70, 80, 90],
            showSymbol: true,

            itemStyle: {
              normal: {
                color: '#FFA800'
              },

            }
          },
          {
            type: "line",
            yAxisIndex: 1,
            smooth: true,
            symbol: 'none',
            showSymbol: true,
            name: '财政指标执行进度',
            data: [6, 12,],

            itemStyle: {
              normal: {
                color: '#01E287'
              }
            }
          }
        ],
      },
      nodeArr: [
        {

          time: '2022.01.02',
          content: '基础设施完工'

        },
        {
          time: '2022.02.02',
          content: '主题结构完成50%'

        },
        {
          time: '2022.10.02',
          content: '主体结构完工'
        },
        {
          time: '2022.11.02',
          content: '竣工验收'
        },
        {
          time: '2022.12.02',
          content: '工程结算'
        },

      ],
      cUnderPrent: 55,
      nodeCOuntArr: [
        {
          name: '参建单位',
          count: 2
        },
        {
          name: '节点总数',
          count: 6
        },
        {
          name: '逾期总数',
          count: 2
        },
        {
          name: '临期总数',
          count: 0
        },
      ],
      nodeDateArr: [
        {
          name: '教育工程管理',
          number: '',
          people: '陈淑桦',
          complite: 4,
          uncomplite: 0,
          unStart: 0,
        },
        {
          name: '西安市天健',
          number: '8.4',
          people: '王桦',
          complite: 4,
          uncomplite: 2,
          unStart: 2,
        },
        {
          name: '教育工程管理',
          number: '',
          people: '陈淑桦',
          complite: 4,
          uncomplite: 0,
          unStart: 0,
        },
        {
          name: '西安市天健',
          number: '8.4',
          people: '王桦',
          complite: 4,
          uncomplite: 2,
          unStart: 2,
        },
        {
          name: '教育工程管理',
          number: '',
          people: '陈淑桦',
          complite: 4,
          uncomplite: 0,
          unStart: 0,
        },
        {
          name: '西安市天健',
          number: '8.4',
          people: '王桦',
          complite: 4,
          uncomplite: 2,
          unStart: 2,
        },
      ],
      nodeDateArr1: [
        {
          name: '教育工程管理',
          number: '',
          people: '陈淑桦',
          complite: 4,
          uncomplite: 0,
          unStart: 0,
        },
        {
          name: '西安市天健',
          number: '8.4',
          people: '王桦',
          complite: 4,
          uncomplite: 2,
          unStart: 2,
        },
        {
          name: '教育工程管理',
          number: '',
          people: '陈淑桦',
          complite: 4,
          uncomplite: 0,
          unStart: 0,
        },
        {
          name: '西安市天健',
          number: '8.4',
          people: '王桦',
          complite: 4,
          uncomplite: 2,
          unStart: 2,
        },
        {
          name: '教育工程管理',
          number: '',
          people: '陈淑桦',
          complite: 4,
          uncomplite: 0,
          unStart: 0,
        },
        {
          name: '西安市天健',
          number: '8.4',
          people: '王桦',
          complite: 4,
          uncomplite: 2,
          unStart: 2,
        },
      ],
      nodeDateArr2: [
        {
          name: '教育工程管理',
          number: '',
          people: '陈淑桦',
          complite: 4,
          uncomplite: 0,
          unStart: 0,
        },
        {
          name: '西安市天健',
          number: '6.5',
          people: '王桦',
          complite: 4,
          uncomplite: 2,
          unStart: 2,
        },
        {
          name: '教育工程管理',
          number: '',
          people: '陈淑桦',
          complite: 4,
          uncomplite: 0,
          unStart: 0,
        },
        {
          name: '西安市天健',
          number: '6.5',
          people: '王桦',
          complite: 4,
          uncomplite: 2,
          unStart: 2,
        },
        {
          name: '教育工程管理',
          number: '',
          people: '陈淑桦',
          complite: 4,
          uncomplite: 0,
          unStart: 0,
        },
        {
          name: '西安市天健',
          number: '6.5',
          people: '王桦',
          complite: 4,
          uncomplite: 2,
          unStart: 2,
        },
      ],
    };
  },
  watch: {
    chart
  },
  methods: {
    changeNode(index) {
      this.nodeType = index
      if (index == 1) {
        this.nodeDateArr = this.nodeDateArr1
      } else {
        this.nodeDateArr = this.nodeDateArr2
      }
    },
    clickBtn(index) {
      this.active = index
      this.$nextTick(() => [
        window.dispatchEvent(new Event('resize'))//初始化echarts
      ])
      if (index == 3) {
        this.$nextTick(() => {
          this.initCutting()
        })
      }
    },
    draggableFun(e) {
      let odiv = e.target; //获取目标元素

      //算出鼠标相对元素的位置
      let disX = e.clientX - odiv.offsetLeft;
      // let disY = e.clientY - odiv.offsetTop + 18;
      document.onmousemove = (e) => { //鼠标按下并移动的事件
        //用鼠标的位置减去鼠标相对元素的位置，得到元素的位置
        let left = e.clientX - disX;
        // let top = e.clientY - disY;

        //绑定元素位置到positionX和positionY上面
        this.positionX = top;
        // this.positionY = left;
        if (left >= 0 && left <= parseInt($('.underSlider').css('width').split('px')[0])) {
          $('.upSlider').css('width', left + 'px');
          $('.nowPlaceIcon').css('left', left + 'px');
          //移动当前元素
          // odiv.style.left = left + 'px';
          // odiv.style.top = top + 'px';
          this.changeBuildLayer(left)
        }
      };
      document.onmouseup = (e) => {
        document.onmousemove = null;
        document.onmouseup = null;
      };

    },
    changeslider() {
      let left = (this.nowPace - 1) / (this.nodeArr.length - 1) * 100
      $('.upSlider').css('width', left + '%');
      $('.nowPlaceIcon').css('left', left + '%');
    },
    getOnePosit(item, index) {
      let left = index / (this.nodeArr.length - 1) * 100
      return 'left:' + left + '%'
    },
    changeBuildLayer(left) {
      let UnderPrent = left / parseInt($('.underSlider').css('width').split('px')[0]) * 100;
      UnderPrent *= 1.28
      let fineStage = window.BIM;
      if (fineStage && this.canPQ === true) {
        let distance = this.cUnderPrent = UnderPrent;
        fineStage.SetClipPlane(window.clipTransformInverse, { x: 0, y: 0, z: -1, d: distance });
      }
    },
    //初始化剖切
    initCutting() {
      let item = window.currentNode;
      if (item && item.sourceType === "bim") {
        this.canPQ = true;
        let bimObj = item;
        let fineStage = window.BIM;
        let center = Cesium.Cartesian3.fromDegrees(Number(bimObj.x), Number(bimObj.y), 0);
        let modelMatrix = Cesium.Transforms.eastNorthUpToFixedFrame(center);
        if (fineStage) {
          fineStage.EnableClip(true);
          let clipTransformInverse = new Cesium.Matrix4();
          Cesium.Matrix4.inverse(modelMatrix, clipTransformInverse);
          window.clipTransformInverse = clipTransformInverse;
          fineStage.SetClipPlane(clipTransformInverse, { x: 0, y: 0, z: -1, d: this.cUnderPrent });
        }
      }
    },
    getWidthLength(item, val) {
      let long = 0
      let total = item.complite + item.uncomplite + item.unStart
      long = val / total * 100
      return 'width:' + long + '%'
    },
  },
  created() { },
  mounted() {
    this.changeslider();
  },
  watch: {
    nowPace: (newVal, oldVal) => {
      this.changeslider();
    },
  }
};
</script>
<style lang="less" scoped>
.InvestmentProgressNew {
  position: relative;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;

  .topBtnRow {
    display: flex;
    flex-direction: row;
    align-items: center;
    pointer-events: all;
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-top: 6px;

    .topBtn {
      height: 33px;
      width: 200px;
      display: flex;
      flex-direction: row;
      justify-content: center;
      align-items: center;
      font-size: 11px;
      color: #e0e5fa;
      cursor: pointer;

      background-image: url("~@/assets/img/topBtnBack.png");
      background-repeat: no-repeat;
      background-size: 100% 100%;
    }
  }

  .content {
    position: relative;
    height: 100%;
    width: 100%;
    margin-top: 10px;

    .content1 {
      height: 100%;
      width: 100%;
      display: flex;
      flex-direction: column;

      .month {
        width: 66px;
        height: 25.5px;
        background-image: url("~@/assets/img/monthBack.png");
        background-repeat: no-repeat;
        background-size: 100% 100%;
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;

        font-size: 11px;
        font-family: Microsoft YaHei, Microsoft YaHei-Regular;
        font-weight: 400;
        color: #e0e5fa;
        letter-spacing: 1.1px;
        text-shadow: -0.87px 0.5px 4px 0px rgba(5, 27, 54, 0.42);

        margin-left: 30px;
      }

      .partRow {
        display: flex;
        flex-direction: row;
        justify-content: space-evenly;
        margin-top: 36px;

        .part {
          width: 200px;
          height: 62px;
          display: flex;
          flex-direction: row;
          align-items: center;

          .text {
            margin-left: 6px;
            display: flex;
            flex-direction: column;
            align-items: flex-start;

            .text1 {
              font-size: 30px;
              font-family: YouSheBiaoTiHei, YouSheBiaoTiHei-Regular;
              font-weight: 400;
              text-align: left;
              color: #45CDFF;

              .unit {
                margin-left: 4px;
                font-size: 15px;
                font-family: Source Han Sans CN, Source Han Sans CN-Regular;
                font-weight: 400;
                color: #ffffff;
                letter-spacing: 0.75px;
              }
            }

            .text2 {
              opacity: 0.8;
              font-size: 11px;
              font-family: Source Han Sans CN, Source Han Sans CN-Regular;
              font-weight: 400;
              color: #ffffff;
              letter-spacing: 1.1px;
              text-shadow: 0px 1.5px 0.98px 0.03px rgba(0, 14, 17, 0.19);


            }
          }
        }
      }

      .chartPart {
        width: 100%;
        height: 100%;
      }

      .littleTitle {
        position: relative;
        top: 10px;
        left: 10px;
        width: 227px;
        height: 27.5px;
        margin-left: 20px;

        background-image: url("~@/assets/img/littleTitle.png");
        background-repeat: no-repeat;
        background-size: 100% 100%;

        font-size: 13px;
        font-family: YouSheBiaoTiHei, YouSheBiaoTiHei-Regular;
        color: #ffffff;
        letter-spacing: 0.52px;
        text-shadow: 0px 2px 0px 0px rgba(0, 8, 10, 0.46);
        display: flex;
        flex-direction: row;
        align-items: center;

        span {
          margin-left: 26px;
        }
      }

      .slider {
        .underSlider {
          position: relative;
          width: 100%;
          margin-top: 50px;
          height: 40px;
          background: url(~@/assets/img/outViewer/up.png);
          background-size: 100% 100%;
        }

        .upSlider {
          position: absolute;
          height: 40px;
          background: url('~@/assets/img/outViewer/under.png') no-repeat;
          background-size: 100% 100%;
        }

        .nowPlaceIcon {
          cursor: pointer;
          width: 30px;
          z-index: 99999;
          height: 40px;
          margin-left: -15px;
          position: absolute;

          background-size: 100% 100%;
          background: url('~@/assets/img/outViewer/nowPlace.png') !important
        }

        .contentMsg {
          width: 100%;
          position: absolute;

          span {
            width: 150px;
            margin-left: -75px;
            margin-top: 50px;
            position: absolute;
            color: #fff;
            text-align: center;

            font {
              position: absolute;
              /* top: 0; */
              top: -40px;
              bottom: 30px;
              left: 50px;
              width: 45px;
              height: 45px;
              display: block;
              background: url('~@/assets/img/outViewer/point.png')
            }
          }
        }
      }

      .rightCountBar {
        margin-right: 0px;

        span {
          font-size: 16px;
          font-family: Source Han Sans CN;
          font-weight: 400;
          color: #FFFFFF;
          line-height: 22px;
          margin: 0 5px;

          font {
            font-size: 24px;
            font-family: Arial;
            font-weight: 400;
            font-style: italic;
            color: #00E5ED;
            line-height: 14px;
            margin: 0 10px;
          }
        }
      }

      .InPr-table {
        width: 625px;
        line-height: 40px;
        text-align: center;
        font-size: 16px;
        font-family: Source Han Sans CN;
        font-weight: 500;
        color: #FFFFFF;
        margin: 0 auto;

        .InPr-table-header {
          display: flex;
          width: 100%;
          height: 40px;
          background-image: url('~@/assets/img/outViewer/tableHead.png');
          background-size: 100% 135%;
          background-position-y: -5px;
          background-repeat: no-repeat;
        }

        .part1 {
          display: inline-block;
          width: 15%;
          height: 40px;
          font-size: 10px;
          border: 1px solid #ffffff16;
          background-color: #3a69fa12;
        }

        .part4 {
          display: inline-block;
          font-size: 10px;
          width: 54%;
          height: 40px;
          border: 1px solid #ffffff16;
          background-color: #3a69fa12;

          .complate {
            display: inline-block;
            height: 10px;
            margin-top: 10px;
            background-image: linear-gradient(to right, #ffffff00, #0CBFE0);
            border-radius: 10px;

          }

          .uncomplate {
            display: inline-block;
            height: 10px;
            margin-top: 10px;
            border-radius: 10px;
            background-image: linear-gradient(to right, #ffffff00, #00FFA2);
          }

          .unStart {
            display: inline-block;
            height: 10px;
            margin-top: 10px;
            border-radius: 10px;
            background-image: linear-gradient(to right, #ffffff00, #DBDBDB);
          }
        }
      }

      .InPr-table-bottom {
        float: right;

        p {
          display: inline-block;
          margin: 0 10px;

          span {

            display: inline-block;
            width: 20px;
            height: 10px;
            border-radius: 5px;
            margin-top: 10px;
            margin-right: 10px;
          }
        }
      }

    }
  }

}

.InPr-table-content {
  overflow-y: auto;
  height: 200px;
}

.topBtnRow1 {
  display: flex;
  flex-direction: row;
  align-items: center;
  pointer-events: all;
  display: flex;
  flex-direction: row;
  justify-content: center;
  margin-top: 6px;
  color: #fff;

  .topBtn1 {
    width: 61px;
    height: 18.5px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    font-size: 11px;
    color: #e0e5fa;
    cursor: pointer;

    background-image: url("~@/assets/img/topBtnBack.png");
    background-repeat: no-repeat;
    background-size: 100% 100%;
  }
}
</style>
